InputStream
Date: 2016-06-24

java.io

## Class InputStream

- java.lang.Object
- - java.io.InputStream

- Direct Known Subclasses:
    ByteArrayInputStream, FileInputStream, FilterInputStream, ObjectInputStream, PipedInputStream, SequenceInputStream

      public abstract class InputStream
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputStream()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `void` | `close()`
    `void` | `mark(int var0)`
    `boolean` | `markSupported()`
    `abstract int` | `read()`
    `int` | `read(byte[] var0)`
    `int` | `read(byte[] var0, int var1, int var2)`
    `void` | `reset()`
    `long` | `skip(long var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputStream

          public InputStream()

  - ### Method Detail

    - #### available

          public int available()
                        throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

    - #### mark

          public void mark(int var0)

    - #### markSupported

          public boolean markSupported()

    - #### read

          public abstract int read()
                            throws IOException

      Throws:
        `IOException`

    - #### read

          public int read(byte[] var0)
                   throws IOException

      Throws:
        `IOException`

    - #### read

          public int read(byte[] var0,
                 int var1,
                 int var2)
                   throws IOException

      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Throws:
        `IOException`

    - #### skip

          public long skip(long var0)
                    throws IOException

      Throws:
        `IOException`